in scala.collection.immutable
class ListSet

`class` ListSet [ A ]
  `extends` java.lang.Object
  `with` scala.collection.immutable.Set[A]
  `with` scala.ScalaObject

  This class implements immutable sets using a list-based data structure. Instances of `ListSet` represent empty sets; they can be either created by calling the constructor directly, or by applying the function `ListSet.Empty`.

author:
  Matthias Zenger
version:
  1.0, 09/07/2003

Constructor Summary
| `def` this

Class Summary
`protected` | `class` Node

Def Summary
| `def` + ( elem : A ) : scala.collection.immutable.ListSet[A] This method creates a new set with an additional element.
| `def` - ( elem : A ) : scala.collection.immutable.ListSet[A] `-` can be used to remove a single element from a set.
| `def` contains ( elem : A ) : scala.Boolean Checks if this set contains element `elem`.
| `def` elements : scala.Iterator[A] Creates a new iterator over all elements contained in this object.
| `def` empty : scala.collection.immutable.ListSet[A]
`override` | `def` equals ( obj : scala.Any ) : scala.Boolean Compares two sets for equality. Two set are equal iff they contain the same elements.
`override` | `def` hashCode : scala.Int
| `def` size : scala.Int Returns the number of elements in this set.
`override` | `def` toList : scala.List[A] Transform this set into a list of all elements.

Constructor Detail

`def` this

Def Detail

`def` + ( elem : A ) : scala.collection.immutable.ListSet[A]

  This method creates a new set with an additional element.

`def` - ( elem : A ) : scala.collection.immutable.ListSet[A]

  `-` can be used to remove a single element from a set.

`def` contains ( elem : A ) : scala.Boolean

  Checks if this set contains element `elem`.

param:
  elem the element to check for membership.
return:
  true, iff `elem` is contained in this set.

`def` elements : scala.Iterator[A]

  Creates a new iterator over all elements contained in this object.

return:
  the new iterator

`def` empty : scala.collection.immutable.ListSet[A]

override `def` equals ( obj : scala.Any ) : scala.Boolean

  Compares two sets for equality. Two set are equal iff they contain the same elements.

override `def` hashCode : scala.Int

`def` size : scala.Int

  Returns the number of elements in this set.

return:
  number of set elements.

override `def` toList : scala.List[A]

  Transform this set into a list of all elements.

return:
  a list which enumerates all elements of this set.